Name:		foremost
Version:	1.5.7
Release:	13.1%{?dist}
Summary:	Recover files by "carving" them from a raw disk

Group:		Applications/File
License:	Public Domain
URL:		http://foremost.sf.net
Source0:	http://foremost.sourceforge.net/pkg/%{name}-%{version}.tar.gz
Patch0:		foremost-broken-jpeg.patch
Patch1:		foremost-fix-permission-timestamp.patch
Patch2:		foremost-format-security-correct.patch

%description
Foremost recovers files files based on their headers, footers, and internal
data structures. This process is commonly referred to as data carving.
Foremost can work on a raw disk drive or image file generated by dd.  The
headers and footers can be specified by a configuration file or you can use
command line switches to specify built-in file types. These built-in types
look at the data structures of a given file format allowing for a more
reliable and faster recovery.

%prep
%setup -q
%patch0 -p0
%patch1 -p2
%patch2 -p0

sed -i 's!/usr/local/etc/foremost.conf!%{_sysconfdir}/foremost.conf!' config.c
sed -i 's|^RAW_FLAGS =.*|RAW_FLAGS = %{optflags}|' Makefile

%build
make %{?_smp_mflags} CONF=%{_sysconfdir} V=1

%install
chmod 0644 *
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
make install BIN=$RPM_BUILD_ROOT%{_bindir} MAN=$RPM_BUILD_ROOT%{_mandir}/man8 \
    CONF=$RPM_BUILD_ROOT%{_sysconfdir}

%files
%doc README CHANGES
%{_bindir}/*
%{_mandir}/man8/*
%config(noreplace) %{_sysconfdir}/foremost.conf

%changelog
* Mon Jul 18 2016 Lawrence R. Rogers <lrr@cert.org> - 1.5.7-13.1
- Release 1.5.7-13.1
	No longer apply patch 2. It causes segfaults because it is wrong.

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.7-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Jul 04 2015 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.5.7-12
- Use '|' instead of '/' in sed-pattern to filter CFLAGS (Fix FTBFS).
- Modernize spec.

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.7-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.7-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.7-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Feb 25 2014 Filipe Rosset <rosset.filipe@gmail.com> - 1.5.7-8
- Fix packaging issues/guidelines
- Fix rhbz #1037067

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.7-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 02 2010 Filipe Rosset <rosset.filipe@gmail.com> - 1.5.7-2
- Fixed location of manual page reported in RH BZ#601021

* Mon Apr 05 2010 Filipe Rosset <rosset.filipe@gmail.com> - 1.5.7-1
- Update to 1.5.7 upstream
- Fix permissions reported in RH BZ#572960

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Mar 24 2008 Toshio Kuratomi <toshio@fedoraproject.org> - 1.5.3-2
- Patch to fix segfaults with broken jpeg headers from bz#438631.

* Tue Dec 04 2007 Toshio Kuratomi <a.badger@gmail.com> - 1.5.3-1
- Update to 1.5.3.  This incorporates our previous patches.
- Mass rebuild for new gcc.

* Tue Dec 04 2007 Toshio Kuratomi <a.badger@gmail.com> - 1.5.2-2
- Fix segfault reported in RH BZ#356241.

* Mon Nov 26 2007 Paul W. Frields <stickster@gmail.com> - 1.5.2-1
- Update to 1.5.2 on foremost.sf.net

* Mon Aug 20 2007 Toshio Kuratomi <a.badger@gmail.com> 1.5-1
- Update to the 1.5 on foremost.sf.net.
- Make license information correspond with the new guidelines.

* Mon Sep 04 2006 Toshio Kuratomi <toshio@tiki-lounge.com> 1.3-0.1.20060826
- Update to the 1.3 on foremost.sf.net.
- Rebuild for FC6.

* Mon Feb 13 2006 Toshio Kuratomi <toshio@tiki-lounge.com> 1.1-1.1.20060128
- Note on upstream's "beta" system to keep future maintainers out of trouble.
- Rebuild for the FC5 push.
  
* Sat Jan 28 2006 Toshio Kuratomi <toshio@tiki-lounge.com> 1.1-1
- Upgrade to 1.1.
- Rework the config patch as a sed replacement.
